Usajili uliopendekezwa
GET https://tistos.com/api/referrals-users/
curl --request GET \
--url 'https://tistos.com/api/referrals-users/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/referrals-users/' \
--header 'Authorization: Bearer {api_key}' \
| Vigezo | Maelezo | Maelezo |
|---|---|---|
| referred_by_has_converted | Hiari Nambari nzima | Thamani zinazoruhusiwa: 0, 1 |
| datetime_field | Hiari Neno | Thamani zinazoruhusiwa: datetime |
| datetime_start | Hiari Neno | Chuja matokeo kuanzia tarehe na saa hii. Muundo wa Y-m-d H:i:s. |
| datetime_end | Hiari Neno | Chuja matokeo hadi tarehe na saa hii. Muundo wa Y-m-d H:i:s. |
| order_by | Hiari Neno | Ni uwanja gani wa kuagiza matokeo kwa. Thamani zinazoruhusiwa ni: datetime, referred_by_has_converted. |
| order_type | Hiari Neno | Mpangilio wa matokeo. Thamani zinazoruhusiwa ni: ASC kwa mpangilio wa kuongezeka, na DESC kwa mpangilio wa kupungua. |
| page | Hiari Nambari nzima | Nambari ya ukurasa ambayo unataka matokeo kutoka. Inarudiwa kwa 1. |
| results_per_page | Hiari Nambari nzima | Ni matokeo mangapi unayotaka kwa kila ukurasa. Thamani zinazoruhusiwa ni: 10, 25, 50, 100, 250, 500, 1000. Kawaida ni 25. |
{
"data": [
{
"referral_code": "ref_a1b2c3",
"status": "converted",
"is_converted": true,
"payment_types": [
"one_time",
"recurring"
],
"commission_statuses": [
"pending",
"approved"
],
"total_affiliate_commissions": 2,
"total_affiliate_commissions_amount": 12.5,
"pending_affiliate_commissions": 1,
"approved_affiliate_commissions": 1,
"withdrawn_affiliate_commissions": 0,
"latest_affiliate_commission_datetime": "2026-10-11 09:35:18",
"currency": "USD",
"datetime": "2026-10-11 09:35:18"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/referrals-users?page=1",
"last": "https://tistos.com/api/referrals-users?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/referrals-users?page=1"
}
}